# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc-libiconv,v 1.6 2005/05/23 09:20:48 raorn Exp $

%mingw_package

%define pkgname libiconv

Name: %cross_arch-%pkgname
Version: 1.9.2
Release: alt4

Summary: %pkgname DLL for %cross_arch target
License: LGPL
Group: System/Libraries
Url: http://www.gnu.org/software/%pkgname/

BuildArch: noarch

Source: ftp://ftp.gnu.org/gnu/%pkgname/%pkgname-%version.tar.gz

Patch: %pkgname-1.9.2-only-libs.patch

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Wed May 05 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc-c++ i386-mingw32msvc-runtime

#BuildPreReq: autoconf_2.5 automake_1.9
#set_autoconf_version 2.5
#set_automake_version 1.9

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n %pkgname-%version
%patch -p0

%__rm -f m4/{gettext,intmax,longlong}.m4

%build
%__cp -f %_datadir/libtool/aclocal/libtool.m4 m4/libtool.m4
%__libtoolize --copy --force
%__aclocal -I m4
%__autoconf --force
%__automake --copy --force-missing
pushd libcharset
%__cp -f %_datadir/libtool/aclocal/libtool.m4 m4/libtool.m4
%__libtoolize --copy --force
%__aclocal -I m4
%__autoconf --force
popd
%configure \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--bindir=%_archbindir \
	--enable-relocatable \
	--enable-shared \
	--enable-static \
	%cross_env
%make_build

%install
%make_install \
	DESTDIR=%buildroot \
	install

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/libcharset*.dll
%_archbindir/libiconv*.dll

%files devel
%_archlibdir/libcharset*.dll.a
%_archlibdir/libiconv*.dll.a
%_archlibdir/libcharset*.la
%_archlibdir/libiconv*.la
%_archincludedir/*.h

%files devel-static
%_archlibdir/libcharset*.a
%_archlibdir/libiconv*.a
%exclude %_archlibdir/libcharset*.dll.a
%exclude %_archlibdir/libiconv*.dll.a

%changelog
* Mon May 23 2005 Sir Raorn <raorn@altlinux.ru> 1.9.2-alt4
- Fix build
- Added .la files to package

* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 1.9.2-alt3
- noarch
- Move static libraries in devel-static subpackage
- Some hackarounds, versioned builddeps

* Mon Sep 20 2004 Sir Raorn <raorn@altlinux.ru> 1.9.2-alt2
- Rebuilt with i386-mingw32msvc-devel

* Wed May 05 2004 Sir Raorn <raorn@altlinux.ru> 1.9.2-alt1
- Built for %cross_arch target



